/* esempio_12_servo.ino
 * Sposta un servo tra 0, 90 e 18 gradi, uno spostamento al secondo
 */
 
#include <Servo.h>

// Creo una costante per il piedino del servo
#define SERVOPIN 4

Servo attuatore;  // Creo la variabile del servo

void setup () {
  attuatore.attach(SERVOPIN);  // Attivo il servo sul pin indicato
}

void loop () {
  attuatore.write(10);  // Ruota a 10 gradi
  delay(1000);          // Attende un secondo
  attuatore.write(90);  // Ruota a 90 gradi
  delay(1000);          // Attende un secondo
  attuatore.write(170);  // Ruota a 170 gradi
  delay(1000);          // Attende un secondo
  attuatore.write(90);  // Ruota a 90 gradi
  delay(1000);          // Attende un secondo
}

